Package nl.tudelft.simulation.dsol.tutorial.section41

## Class MM1Queue41Application

- java.lang.Object
- - nl.tudelft.simulation.dsol.tutorial.section41.MM1Queue41Application

    public class MM1Queue41Application
    extends Object

Copyright (c) 2002-2020 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information https://simulation.tudelft.nl. The DSOL project is distributed under a three-clause BSD-style license, which can be found at https://simulation.tudelft.nl/dsol/3.0/license.html.

Author:
  Alexander Verbraeck

### Constructor Summary

Constructors
`protected` `MM1Queue41Application()` Construct a console application.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `main​(String[] args)`
`protected void` `terminate()` stop the simulation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MM1Queue41Application

    protected MM1Queue41Application()
                             throws SimRuntimeException,
                                    RemoteException,
                                    NamingException

Construct a console application.

Throws:
  `SimRuntimeException` - on error
  `RemoteException` - on error
  `NamingException` - on error

### Method Detail

#### terminate

    protected final void terminate()

stop the simulation.

#### main

    public static void main​(String[] args)
                     throws SimRuntimeException,
                            RemoteException,
                            NamingException

Parameters:
  `args` - String[]; can be left empty
Throws:
  `SimRuntimeException` - on error
  `RemoteException` - on error
  `NamingException` - on error